#include <bits/stdc++.h>
using namespace std;
string x,y,sol;
int v,v2;
void dodajNule(char a){
  if(a=='x'){
    int n=v-v2;
    for(int i=0; i<n; i++){
      y='/'+y;
    }
  }
  else{
    int n=v2-v;
    for(int i=0; i<n; i++){
      x='/'+x;
    }
  }
}
int main(){
  cin >> x >> y;
  v=x.size();
  v2=y.size();
  if(v>v2){
    dodajNule('x');
  }
  else dodajNule('y');
  int v=max(x.size(),y.size());
  for(int i=v-1; i>=0; i--){
    if(x[i]>y[i])sol=x[i]+sol;
    else if(y[i]>x[i])sol=y[i]+sol;
    else{
      sol=x[i]+sol;
      sol=y[i]+sol;
    }
  }
  cout << sol << endl;
  return 0;
}